| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bcat.cpp File Reference

Program to catenate image files. More...

`#include "rwimg.h"`
`#include "img_combine.h"`
`#include "linked_list.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to catenate image files.

Author
  Bernard Heymann

Date
  Created: 19991221
  Modified: 20100121

Definition in file bcat.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 50 of file bcat.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bcat [options] input.images",
"----------------------------------",
"Catenates a list of images into a multi-image file.",
"Any number of input images may be given and may include the wild card \"*\".",
"(However, VMS does not support Unix style usage of wild cards).",
"All images must have the same data type.",
" ",
"Actions:",
"-rescale -0.1,5.2 Rescale input images to average and standard deviation.",
" ",
"Parameters:",
"-verbose 3 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-origin 0.8,-10,15.7 Set the origin (default from input image).",
"-reverse Reverse the order of catenation.",
"-slices Pack 2D images as z-slices (default pack as separate images).",
"-size 10,50,8 New image size (pixels).",
"-fill 125.5 Fill value for padding (default average).",
"-raw d=f#x=120,120,1 Formatting to reinterpret image files.",
" ",
"Output:",
"-output output.img Output image (default temp.miff).",
" ",
NULL
}

Definition at line 21 of file bcat.cpp.

## ◆ verbose

int verbose